GPRIOR      = $026F
CHBAS       = $02F4
RANDOM      = $D20A
VCOUNT      = $D40B
            *= $8000

L8000:      lda #$40               ; A9 40
            sta GPRIOR             ; 8D 6F 02
            sta CHBAS              ; 8D F4 02
            ldy #$01               ; A0 01
            sty $F0              ; 84 F0
            lda #$00               ; A9 00
            sta $F2              ; 85 F2
            tax                    ; AA
L8011      sta $4000,X            ; 9D 00 40
            inx                    ; E8
            asl $F0              ; 06 F0
            bne L8011              ; D0 F8
            sty $F0              ; 84 F0
            clc                    ; 18
            adc #$11               ; 69 11
            dec L80D1              ; CE D1 80
            bpl L8011              ; 10 EE
            jsr L805B              ; 20 5B 80
L8026      ldx RANDOM             ; AE 0A D2
            lda #$0F               ; A9 0F
            sta $A130,X            ; 9D 30 A1
            sta $A131,X            ; 9D 31 A1
            sta $A158,X            ; 9D 58 A1
            sta $A159,X            ; 9D 59 A1
            ldy #$A0               ; A0 A0
            jsr L8050              ; 20 50 80
L803C      jsr $B000

            dex                    ; CA
            bpl L803C              ; 10 FA
            ldy #$A5               ; A0 A5
            jsr L8050              ; 20 50 80
L8047       jsr $B28B              ; 20 8B B2
            dex                    ; CA
            bpl L8047              ; 10 FA
            jmp L8026              ; 4C 26 80

L8050      sty $BC25;;;;;;$BC23 is memory of teh Gr.0
L8053      lda VCOUNT             ; AD 0B D4
            bne L8053              ; D0 FB
            ldx #$27               ; A2 27
            rts                    ; 60

L805B      lda #$B0               ; A9 B0
            sta $F3              ; 85 F3
            ldx #$19               ; A2 19
            jsr L8098              ; 20 98 80
            lda #$18               ; A9 18
            sta L80D9              ; 8D D9 80
            lda #$68               ; A9 68
            sta L80DD              ; 8D DD 80
            ldx #$3F               ; A2 3F
            stx L80E0              ; 8E E0 80
            inx                    ; E8
            stx L80E8              ; 8E E8 80
            stx L80EF              ; 8E EF 80
            inx                    ; E8
            stx L80E3              ; 8E E3 80
            lda #$A5               ; A9 A5
            sta L80DA              ; 8D DA 80
            sta L80DE              ; 8D DE 80
            sta L80E1              ; 8D E1 80
            sta L80E4              ; 8D E4 80
            lda #$A0               ; A9 A0
            sta L80E9              ; 8D E9 80
            sta L80F0              ; 8D F0 80
            inc $F2              ; E6 F2
            ldx #$19               ; A2 19
L8098      ldy #$18               ; A0 18
L809A      lda L80D8,Y            ; B9 D8 80
            sta ($F2),Y          ; 91 F2
            dey                    ; 88
            bpl L809A              ; 10 F8
            txa                    ; 8A
            pha                    ; 48
            ldy #$05               ; A0 05
L80A6      ldx L80D2,Y            ; BE D2 80
            lda L80D8,X            ; BD D8 80
            clc                    ; 18
            adc #$28               ; 69 28
            sta L80D8,X            ; 9D D8 80
            bcc L80B7              ; 90 03
            inc L80D9,X            ; FE D9 80
L80B7      dey                    ; 88
            bpl L80A6              ; 10 EC
            pla                    ; 68
            tax                    ; AA
            lda $F2              ; A5 F2
            clc                    ; 18
            adc #$19               ; 69 19
            sta $F2              ; 85 F2
            bcc L80C7              ; 90 02
            inc $F3              ; E6 F3
L80C7      dex                    ; CA
            bpl L8098              ; 10 CE
            ldy #$00               ; A0 00
            lda #$60               ; A9 60
            sta ($F2),Y          ; 91 F2
            rts                    ; 60
L80D1      .byte $0F
L80D2      .byte $01,$05,$08,$0B,$10,$17
L80D8      .byte $BD
L80D9      .byte $18
L80DA      .byte $A0,$18,$7D
L80DD      .byte $68
L80DE      .byte $A0,$7D
L80E0      .byte $3F
L80E1      .byte $A0,$7D
L80E3      .byte $41
L80E4      .byte $A0,$4A,$38,$FD
L80E8      .byte $40
L80E9      .byte $A5,$B0,$02,$49,$FF,$9D
L80EF      .byte $40
L80F0      .byte $A5


;            *= $B000
;;
;            lda LA018,X            ; BD 18 A0
;            clc                    ; 18
;            adc LA068,X            ; 7D 68 A0
;            adc LA03F,X            ; 7D 3F A0
;            adc LA041,X            ; 7D 41 A0
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA540,X            ; FD 40 A5
;            bcs LB016              ; B0 02
;            eor #$FF               ; 49 FF
;LB016:      sta LA540,X            ; 9D 40 A5
;            lda LA040,X            ; BD 40 A0
;            clc                    ; 18
;            adc LA090,X            ; 7D 90 A0
;            adc LA067,X            ; 7D 67 A0
;            adc LA069,X            ; 7D 69 A0
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA568,X            ; FD 68 A5
;            bcs LB02F              ; B0 02
;            eor #$FF               ; 49 FF
;LB02F:      sta LA568,X            ; 9D 68 A5
;            lda LA068,X            ; BD 68 A0
;            clc                    ; 18
;            adc LA0B8,X            ; 7D B8 A0
;            adc LA08F,X            ; 7D 8F A0
;            adc LA091,X            ; 7D 91 A0
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA590,X            ; FD 90 A5
;            bcs LB048              ; B0 02
;            eor #$FF               ; 49 FF
;LB048:      sta LA590,X            ; 9D 90 A5
;            lda LA090,X            ; BD 90 A0
;            clc                    ; 18
;            adc LA0E0,X            ; 7D E0 A0
;            adc LA0B7,X            ; 7D B7 A0
;            adc LA0B9,X            ; 7D B9 A0
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA5B8,X            ; FD B8 A5
;            bcs LB061              ; B0 02
;            eor #$FF               ; 49 FF
;LB061:      sta LA5B8,X            ; 9D B8 A5
;            lda LA0B8,X            ; BD B8 A0
;            clc                    ; 18
;            adc LA108,X            ; 7D 08 A1
;            adc LA0DF,X            ; 7D DF A0
;            adc LA0E1,X            ; 7D E1 A0
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA5E0,X            ; FD E0 A5
;            bcs LB07A              ; B0 02
;            eor #$FF               ; 49 FF
;LB07A:      sta LA5E0,X            ; 9D E0 A5
;            lda LA0E0,X            ; BD E0 A0
;            clc                    ; 18
;            adc LA130,X            ; 7D 30 A1
;            adc LA107,X            ; 7D 07 A1
;            adc LA109,X            ; 7D 09 A1
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA608,X            ; FD 08 A6
;            bcs LB093              ; B0 02
;            eor #$FF               ; 49 FF
;LB093:      sta LA608,X            ; 9D 08 A6
;            lda LA108,X            ; BD 08 A1
;            clc                    ; 18
;            adc LA158,X            ; 7D 58 A1
;            adc LA12F,X            ; 7D 2F A1
;            adc LA131,X            ; 7D 31 A1
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA630,X            ; FD 30 A6
;            bcs LB0AC              ; B0 02
;            eor #$FF               ; 49 FF
;LB0AC:      sta LA630,X            ; 9D 30 A6
;            lda LA130,X            ; BD 30 A1
;            clc                    ; 18
;            adc LA180,X            ; 7D 80 A1
;            adc LA157,X            ; 7D 57 A1
;            adc LA159,X            ; 7D 59 A1
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA658,X            ; FD 58 A6
;            bcs LB0C5              ; B0 02
;            eor #$FF               ; 49 FF
;LB0C5:      sta LA658,X            ; 9D 58 A6
;            lda LA158,X            ; BD 58 A1
;            clc                    ; 18
;            adc LA1A8,X            ; 7D A8 A1
;            adc LA17F,X            ; 7D 7F A1
;            adc LA181,X            ; 7D 81 A1
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA680,X            ; FD 80 A6
;            bcs LB0DE              ; B0 02
;            eor #$FF               ; 49 FF
;LB0DE:      sta LA680,X            ; 9D 80 A6
;            lda LA180,X            ; BD 80 A1
;            clc                    ; 18
;            adc LA1D0,X            ; 7D D0 A1
;            adc LA1A7,X            ; 7D A7 A1
;            adc LA1A9,X            ; 7D A9 A1
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA6A8,X            ; FD A8 A6
;            bcs LB0F7              ; B0 02
;            eor #$FF               ; 49 FF
;LB0F7:      sta LA6A8,X            ; 9D A8 A6
;            lda LA1A8,X            ; BD A8 A1
;            clc                    ; 18
;            adc LA1F8,X            ; 7D F8 A1
;            adc LA1CF,X            ; 7D CF A1
;            adc LA1D1,X            ; 7D D1 A1
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA6D0,X            ; FD D0 A6
;            bcs LB110              ; B0 02
;            eor #$FF               ; 49 FF
;LB110:      sta LA6D0,X            ; 9D D0 A6
;            lda LA1D0,X            ; BD D0 A1
;            clc                    ; 18
;            adc LA220,X            ; 7D 20 A2
;            adc LA1F7,X            ; 7D F7 A1
;            adc LA1F9,X            ; 7D F9 A1
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA6F8,X            ; FD F8 A6
;            bcs LB129              ; B0 02
;            eor #$FF               ; 49 FF
;LB129:      sta LA6F8,X            ; 9D F8 A6
;            lda LA1F8,X            ; BD F8 A1
;            clc                    ; 18
;            adc LA248,X            ; 7D 48 A2
;            adc LA21F,X            ; 7D 1F A2
;            adc LA221,X            ; 7D 21 A2
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA720,X            ; FD 20 A7
;            bcs LB142              ; B0 02
;            eor #$FF               ; 49 FF
;LB142:      sta LA720,X            ; 9D 20 A7
;            lda LA220,X            ; BD 20 A2
;            clc                    ; 18
;            adc LA270,X            ; 7D 70 A2
;            adc LA247,X            ; 7D 47 A2
;            adc LA249,X            ; 7D 49 A2
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA748,X            ; FD 48 A7
;            bcs LB15B              ; B0 02
;            eor #$FF               ; 49 FF
;LB15B:      sta LA748,X            ; 9D 48 A7
;            lda LA248,X            ; BD 48 A2
;            clc                    ; 18
;            adc LA298,X            ; 7D 98 A2
;            adc LA26F,X            ; 7D 6F A2
;            adc LA271,X            ; 7D 71 A2
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA770,X            ; FD 70 A7
;            bcs LB174              ; B0 02
;            eor #$FF               ; 49 FF
;LB174:      sta LA770,X            ; 9D 70 A7
;            lda LA270,X            ; BD 70 A2
;            clc                    ; 18
;            adc LA2C0,X            ; 7D C0 A2
;            adc LA297,X            ; 7D 97 A2
;            adc LA299,X            ; 7D 99 A2
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA798,X            ; FD 98 A7
;            bcs LB18D              ; B0 02
;            eor #$FF               ; 49 FF
;LB18D:      sta LA798,X            ; 9D 98 A7
;            lda LA298,X            ; BD 98 A2
;            clc                    ; 18
;            adc LA2E8,X            ; 7D E8 A2
;            adc LA2BF,X            ; 7D BF A2
;            adc LA2C1,X            ; 7D C1 A2
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA7C0,X            ; FD C0 A7
;            bcs LB1A6              ; B0 02
;            eor #$FF               ; 49 FF
;LB1A6:      sta LA7C0,X            ; 9D C0 A7
;            lda LA2C0,X            ; BD C0 A2
;            clc                    ; 18
;            adc LA310,X            ; 7D 10 A3
;            adc LA2E7,X            ; 7D E7 A2
;            adc LA2E9,X            ; 7D E9 A2
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA7E8,X            ; FD E8 A7
;            bcs LB1BF              ; B0 02
;            eor #$FF               ; 49 FF
;LB1BF:      sta LA7E8,X            ; 9D E8 A7
;            lda LA2E8,X            ; BD E8 A2
;            clc                    ; 18
;            adc LA338,X            ; 7D 38 A3
;            adc LA30F,X            ; 7D 0F A3
;            adc LA311,X            ; 7D 11 A3
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA810,X            ; FD 10 A8
;            bcs LB1D8              ; B0 02
;            eor #$FF               ; 49 FF
;LB1D8:      sta LA810,X            ; 9D 10 A8
;            lda LA310,X            ; BD 10 A3
;            clc                    ; 18
;            adc LA360,X            ; 7D 60 A3
;            adc LA337,X            ; 7D 37 A3
;            adc LA339,X            ; 7D 39 A3
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA838,X            ; FD 38 A8
;            bcs LB1F1              ; B0 02
;            eor #$FF               ; 49 FF
;LB1F1:      sta LA838,X            ; 9D 38 A8
;            lda LA338,X            ; BD 38 A3
;            clc                    ; 18
;            adc LA388,X            ; 7D 88 A3
;            adc LA35F,X            ; 7D 5F A3
;            adc LA361,X            ; 7D 61 A3
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA860,X            ; FD 60 A8
;            bcs LB20A              ; B0 02
;            eor #$FF               ; 49 FF
;LB20A:      sta LA860,X            ; 9D 60 A8
;            lda LA360,X            ; BD 60 A3
;            clc                    ; 18
;            adc LA3B0,X            ; 7D B0 A3
;            adc LA387,X            ; 7D 87 A3
;            adc LA389,X            ; 7D 89 A3
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA888,X            ; FD 88 A8
;            bcs LB223              ; B0 02
;            eor #$FF               ; 49 FF
;LB223:      sta LA888,X            ; 9D 88 A8
;            lda LA388,X            ; BD 88 A3
;            clc                    ; 18
;            adc LA3D8,X            ; 7D D8 A3
;            adc LA3AF,X            ; 7D AF A3
;            adc LA3B1,X            ; 7D B1 A3
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA8B0,X            ; FD B0 A8
;            bcs LB23C              ; B0 02
;            eor #$FF               ; 49 FF
;LB23C:      sta LA8B0,X            ; 9D B0 A8
;            lda LA3B0,X            ; BD B0 A3
;            clc                    ; 18
;            adc LA400,X            ; 7D 00 A4
;            adc LA3D7,X            ; 7D D7 A3
;            adc LA3D9,X            ; 7D D9 A3
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA8D8,X            ; FD D8 A8
;            bcs LB255              ; B0 02
;            eor #$FF               ; 49 FF
;LB255:      sta LA8D8,X            ; 9D D8 A8
;            lda LA3D8,X            ; BD D8 A3
;            clc                    ; 18
;            adc LA428,X            ; 7D 28 A4
;            adc LA3FF,X            ; 7D FF A3
;            adc LA401,X            ; 7D 01 A4
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA900,X            ; FD 00 A9
;            bcs LB26E              ; B0 02
;            eor #$FF               ; 49 FF
;LB26E:      sta LA900,X            ; 9D 00 A9
;            lda LA400,X            ; BD 00 A4
;            clc                    ; 18
;            adc LA450,X            ; 7D 50 A4
;            adc LA427,X            ; 7D 27 A4
;            adc LA429,X            ; 7D 29 A4
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA928,X            ; FD 28 A9
;            bcs LB287              ; B0 02
;            eor #$FF               ; 49 FF
;LB287:      sta LA928,X            ; 9D 28 A9
;            rts                    ; 60

;            lda LA518,X            ; BD 18 A5;;;;;;;;;B28B
;            clc                    ; 18
;            adc LA568,X            ; 7D 68 A5
;            adc LA53F,X            ; 7D 3F A5
;            adc LA541,X            ; 7D 41 A5
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA040,X            ; FD 40 A0
;            bcs LB2A1              ; B0 02
;            eor #$FF               ; 49 FF
;LB2A1:      sta LA040,X            ; 9D 40 A0
;            lda LA540,X            ; BD 40 A5
;            clc                    ; 18
;            adc LA590,X            ; 7D 90 A5
;            adc LA567,X            ; 7D 67 A5
;            adc LA569,X            ; 7D 69 A5
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA068,X            ; FD 68 A0
;            bcs LB2BA              ; B0 02
;            eor #$FF               ; 49 FF
;LB2BA:      sta LA068,X            ; 9D 68 A0
;            lda LA568,X            ; BD 68 A5
;            clc                    ; 18
;            adc LA5B8,X            ; 7D B8 A5
;            adc LA58F,X            ; 7D 8F A5
;            adc LA591,X            ; 7D 91 A5
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA090,X            ; FD 90 A0
;            bcs LB2D3              ; B0 02
;            eor #$FF               ; 49 FF
;LB2D3:      sta LA090,X            ; 9D 90 A0
;            lda LA590,X            ; BD 90 A5
;            clc                    ; 18
;            adc LA5E0,X            ; 7D E0 A5
;            adc LA5B7,X            ; 7D B7 A5
;            adc LA5B9,X            ; 7D B9 A5
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA0B8,X            ; FD B8 A0
;            bcs LB2EC              ; B0 02
;            eor #$FF               ; 49 FF
;LB2EC:      sta LA0B8,X            ; 9D B8 A0
;            lda LA5B8,X            ; BD B8 A5
;            clc                    ; 18
;            adc LA608,X            ; 7D 08 A6
;            adc LA5DF,X            ; 7D DF A5
;            adc LA5E1,X            ; 7D E1 A5
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA0E0,X            ; FD E0 A0
;            bcs LB305              ; B0 02
;            eor #$FF               ; 49 FF
;LB305:      sta LA0E0,X            ; 9D E0 A0
;            lda LA5E0,X            ; BD E0 A5
;            clc                    ; 18
;            adc LA630,X            ; 7D 30 A6
;            adc LA607,X            ; 7D 07 A6
;            adc LA609,X            ; 7D 09 A6
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA108,X            ; FD 08 A1
;            bcs LB31E              ; B0 02
;            eor #$FF               ; 49 FF
;LB31E:      sta LA108,X            ; 9D 08 A1
;            lda LA608,X            ; BD 08 A6
;            clc                    ; 18
;            adc LA658,X            ; 7D 58 A6
;            adc LA62F,X            ; 7D 2F A6
;            adc LA631,X            ; 7D 31 A6
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA130,X            ; FD 30 A1
;            bcs LB337              ; B0 02
;            eor #$FF               ; 49 FF
;LB337:      sta LA130,X            ; 9D 30 A1
;            lda LA630,X            ; BD 30 A6
;            clc                    ; 18
;            adc LA680,X            ; 7D 80 A6
;            adc LA657,X            ; 7D 57 A6
;            adc LA659,X            ; 7D 59 A6
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA158,X            ; FD 58 A1
;            bcs LB350              ; B0 02
;            eor #$FF               ; 49 FF
;LB350:      sta LA158,X            ; 9D 58 A1
;            lda LA658,X            ; BD 58 A6
;            clc                    ; 18
;            adc LA6A8,X            ; 7D A8 A6
;            adc LA67F,X            ; 7D 7F A6
;            adc LA681,X            ; 7D 81 A6
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA180,X            ; FD 80 A1
;            bcs LB369              ; B0 02
;            eor #$FF               ; 49 FF
;LB369:      sta LA180,X            ; 9D 80 A1
;            lda LA680,X            ; BD 80 A6
;            clc                    ; 18
;            adc LA6D0,X            ; 7D D0 A6
;            adc LA6A7,X            ; 7D A7 A6
;            adc LA6A9,X            ; 7D A9 A6
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA1A8,X            ; FD A8 A1
;            bcs LB382              ; B0 02
;            eor #$FF               ; 49 FF
;LB382:      sta LA1A8,X            ; 9D A8 A1
;            lda LA6A8,X            ; BD A8 A6
;            clc                    ; 18
;            adc LA6F8,X            ; 7D F8 A6
;            adc LA6CF,X            ; 7D CF A6
;            adc LA6D1,X            ; 7D D1 A6
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA1D0,X            ; FD D0 A1
;            bcs LB39B              ; B0 02
;            eor #$FF               ; 49 FF
;LB39B:      sta LA1D0,X            ; 9D D0 A1
;            lda LA6D0,X            ; BD D0 A6
;            clc                    ; 18
;            adc LA720,X            ; 7D 20 A7
;            adc LA6F7,X            ; 7D F7 A6
;            adc LA6F9,X            ; 7D F9 A6
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA1F8,X            ; FD F8 A1
;            bcs LB3B4              ; B0 02
;            eor #$FF               ; 49 FF
;LB3B4:      sta LA1F8,X            ; 9D F8 A1
;            lda LA6F8,X            ; BD F8 A6
;            clc                    ; 18
;            adc LA748,X            ; 7D 48 A7
;            adc LA71F,X            ; 7D 1F A7
;            adc LA721,X            ; 7D 21 A7
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA220,X            ; FD 20 A2
;            bcs LB3CD              ; B0 02
;            eor #$FF               ; 49 FF
;LB3CD:      sta LA220,X            ; 9D 20 A2
;            lda LA720,X            ; BD 20 A7
;            clc                    ; 18
;            adc LA770,X            ; 7D 70 A7
;            adc LA747,X            ; 7D 47 A7
;            adc LA749,X            ; 7D 49 A7
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA248,X            ; FD 48 A2
;            bcs LB3E6              ; B0 02
;            eor #$FF               ; 49 FF
;LB3E6:      sta LA248,X            ; 9D 48 A2
;            lda LA748,X            ; BD 48 A7
;            clc                    ; 18
;            adc LA798,X            ; 7D 98 A7
;            adc LA76F,X            ; 7D 6F A7
;            adc LA771,X            ; 7D 71 A7
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA270,X            ; FD 70 A2
;            bcs LB3FF              ; B0 02
;            eor #$FF               ; 49 FF
;LB3FF:      sta LA270,X            ; 9D 70 A2
;            lda LA770,X            ; BD 70 A7
;            clc                    ; 18
;            adc LA7C0,X            ; 7D C0 A7
;            adc LA797,X            ; 7D 97 A7
;            adc LA799,X            ; 7D 99 A7
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA298,X            ; FD 98 A2
;            bcs LB418              ; B0 02
;            eor #$FF               ; 49 FF
;LB418:      sta LA298,X            ; 9D 98 A2
;            lda LA798,X            ; BD 98 A7
;            clc                    ; 18
;            adc LA7E8,X            ; 7D E8 A7
;            adc LA7BF,X            ; 7D BF A7
;            adc LA7C1,X            ; 7D C1 A7
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA2C0,X            ; FD C0 A2
;            bcs LB431              ; B0 02
;            eor #$FF               ; 49 FF
;LB431:      sta LA2C0,X            ; 9D C0 A2
;            lda LA7C0,X            ; BD C0 A7
;            clc                    ; 18
;            adc LA810,X            ; 7D 10 A8
;            adc LA7E7,X            ; 7D E7 A7
;            adc LA7E9,X            ; 7D E9 A7
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA2E8,X            ; FD E8 A2
;            bcs LB44A              ; B0 02
;            eor #$FF               ; 49 FF
;LB44A:      sta LA2E8,X            ; 9D E8 A2
;            lda LA7E8,X            ; BD E8 A7
;            clc                    ; 18
;            adc LA838,X            ; 7D 38 A8
;            adc LA80F,X            ; 7D 0F A8
;            adc LA811,X            ; 7D 11 A8
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA310,X            ; FD 10 A3
;            bcs LB463              ; B0 02
;            eor #$FF               ; 49 FF
;LB463:      sta LA310,X            ; 9D 10 A3
;            lda LA810,X            ; BD 10 A8
;            clc                    ; 18
;            adc LA860,X            ; 7D 60 A8
;            adc LA837,X            ; 7D 37 A8
;            adc LA839,X            ; 7D 39 A8
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA338,X            ; FD 38 A3
;            bcs LB47C              ; B0 02
;            eor #$FF               ; 49 FF
;LB47C:      sta LA338,X            ; 9D 38 A3
;            lda LA838,X            ; BD 38 A8
;            clc                    ; 18
;            adc LA888,X            ; 7D 88 A8
;            adc LA85F,X            ; 7D 5F A8
;            adc LA861,X            ; 7D 61 A8
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA360,X            ; FD 60 A3
;            bcs LB495              ; B0 02
;            eor #$FF               ; 49 FF
;LB495:      sta LA360,X            ; 9D 60 A3
;            lda LA860,X            ; BD 60 A8
;            clc                    ; 18
;            adc LA8B0,X            ; 7D B0 A8
;            adc LA887,X            ; 7D 87 A8
;            adc LA889,X            ; 7D 89 A8
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA388,X            ; FD 88 A3
;            bcs LB4AE              ; B0 02
;            eor #$FF               ; 49 FF
;LB4AE:      sta LA388,X            ; 9D 88 A3
;            lda LA888,X            ; BD 88 A8
;            clc                    ; 18
;            adc LA8D8,X            ; 7D D8 A8
;            adc LA8AF,X            ; 7D AF A8
;            adc LA8B1,X            ; 7D B1 A8
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA3B0,X            ; FD B0 A3
;            bcs LB4C7              ; B0 02
;            eor #$FF               ; 49 FF
;LB4C7:      sta LA3B0,X            ; 9D B0 A3
;            lda LA8B0,X            ; BD B0 A8
;            clc                    ; 18
;            adc LA900,X            ; 7D 00 A9
;            adc LA8D7,X            ; 7D D7 A8
;            adc LA8D9,X            ; 7D D9 A8
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA3D8,X            ; FD D8 A3
;            bcs LB4E0              ; B0 02
;            eor #$FF               ; 49 FF
;LB4E0:      sta LA3D8,X            ; 9D D8 A3
;            lda LA8D8,X            ; BD D8 A8
;            clc                    ; 18
;            adc LA928,X            ; 7D 28 A9
;            adc LA8FF,X            ; 7D FF A8
;            adc LA901,X            ; 7D 01 A9
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA400,X            ; FD 00 A4
;            bcs LB4F9              ; B0 02
;            eor #$FF               ; 49 FF
;LB4F9:      sta LA400,X            ; 9D 00 A4
;            lda LA900,X            ; BD 00 A9
;            clc                    ; 18
;            adc LA950,X            ; 7D 50 A9
;            adc LA927,X            ; 7D 27 A9
;            adc LA929,X            ; 7D 29 A9
;            lsr A                  ; 4A
;            sec                    ; 38
;            sbc LA428,X            ; FD 28 A4
;            bcs LB512              ; B0 02
;            eor #$FF               ; 49 FF
;LB512:      sta LA428,X            ; 9D 28 A4
;            rts                    ; 60
